//------------------------------------------------------------------------------
// <auto-generated>
//    Ce code a été généré à partir d'un modèle.
//
//    Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//    Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PROJETMODELE.Models.DAL
{
    using System;
    using System.Collections.Generic;
    
    public partial class TP_Caisse
    {
        public TP_Caisse()
        {
            this.TG_Personnels = new HashSet<TG_Personnels>();
            this.TP_Decaissement = new HashSet<TP_Decaissement>();
            this.TP_Encaissement = new HashSet<TP_Encaissement>();
            this.TP_Ouverture_Cloture_Caisse = new HashSet<TP_Ouverture_Cloture_Caisse>();
            this.TP_Vente = new HashSet<TP_Vente>();
        }
    
        public int ID_Caisse { get; set; }
        public string Libelle { get; set; }
        public System.DateTime Create_Date { get; set; }
        public System.DateTime Edit_Date { get; set; }
        public int Create_Code_User { get; set; }
        public int Edit_Code_User { get; set; }
        public bool Actif { get; set; }
    
        public virtual ICollection<TG_Personnels> TG_Personnels { get; set; }
        public virtual ICollection<TP_Decaissement> TP_Decaissement { get; set; }
        public virtual ICollection<TP_Encaissement> TP_Encaissement { get; set; }
        public virtual ICollection<TP_Ouverture_Cloture_Caisse> TP_Ouverture_Cloture_Caisse { get; set; }
        public virtual ICollection<TP_Vente> TP_Vente { get; set; }
    }
}
